Class | Irc::Bot::Registry
In: | lib/rbot/registry.rb
Parent: | Object

This class is now used purely for upgrading from prior versions of rbot the new registry is split into multiple DBHash objects, one per plugin

### Methods

new upgrade_data upgrade_data2

### Classes and Modules

Class Irc::Bot::Registry::Accessor

### Public Class methods

new(bot)

### Public Instance methods

upgrade_data()

check for older versions of rbot with data formats that require updating NB this function is called early in init(), pretty much all you have to work with is @bot.botclass.

upgrade_data2()

[Validate]